#!/bin/bash
# $id: $
# Restore script for SLIS 2.x backup


### VARIABLES ###

# Get the variables from the PHP config script
export PGUSER=`grep "ADMINUSER=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
export PGPASSWORD=`grep "ADMINPASS=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
PGSQL_SERVER=`grep "PGSQL_SERVER=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
BASE_HADMIN=`grep "BASE_HADMIN=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`

# Other variables
TMP_DIR="/home/hadmin/tmp/backup"
SQL_QUERY="psql -h $PGSQL_SERVER $BASE_HADMIN -tqc"



### Main Database restore ###

# Clean the SLIS
  # Delete users from the system
for i in `$SQL_QUERY "select login from users"`
do
  userdel $i
done
  # Delete groups from the system
for i in `$SQL_QUERY "select nom from classes"`
do
  groupdel s_$i
done
  # Delete special group smbadmin
groupdel smbadmin

# Clean the database
$SQL_QUERY "delete from users"
$SQL_QUERY "delete from classes"
$SQL_QUERY "delete from groups"
$SQL_QUERY "delete from subnets"
$SQL_QUERY "delete from subnetstat"
$SQL_QUERY "delete from alias"
$SQL_QUERY "delete from oldvalue"
$SQL_QUERY "delete from badlogin"
$SQL_QUERY "delete from password"
$SQL_QUERY "delete from security_filters"

# Restore the SQL dump
psql hadmin < $TMP_DIR/home/hadmin/hadmin.sql

# Set the flags on
$SQL_QUERY "update users set nouveau='1',tovalid='1'"
$SQL_QUERY "update alias set nouveau='1',tovalid='1'"
$SQL_QUERY "update groups set nouveau='1',tovalid='1'"
$SQL_QUERY "update classes set nouveau='1',tovalid='1'"


### DHCP database restore ###
export PGUSER=`grep "POSTGRESUSER=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
export PGPASSWORD=`grep "POSTGRESPASS=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
SQL_QUERY="psql -h $PGSQL_SERVER dhcp -tqc"
$SQL_QUERY "delete from materiel"
$SQL_QUERY "delete from reseau"
$SQL_QUERY "delete from constructeurs"
$SQL_QUERY "delete from arp"
psql dhcp < $TMP_DIR/home/hadmin/dhcp.sql

### B2i database restore (B2i is a little french application) ###
export PGUSER=`grep "SLISUSER=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
export PGPASSWORD=`grep "SLISPASS=" /home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
psql template1 -tqc "drop database b2i"
psql template1 -tqc "create database b2i"
psql b2i < $TMP_DIR/home/hadmin/b2i.sql


### Fix the tables (sequences problem)
/usr/local/sbin/fix_tables

############
# Futur obsolete things...

cp -f $TMP_DIR/home/hadmin/cgi-bin/base/perso_* /home/hadmin/cgi-bin/base
cp -f $TMP_DIR/home/hadmin/cgi-bin/base/squidguard_databases /home/hadmin/cgi-bin/base
cp -f $TMP_DIR/home/hadmin/cgi-bin/base/wget-auto.slis /home/hadmin/cgi-bin/base
cp -f $TMP_DIR/home/hadmin/cgi-bin/base/wget.slis /home/hadmin/cgi-bin/base

# Reset good permissions
/usr/local/sbin/permslis

